Dancer::Hook(3pm)

NAME
Dancer::Hook - Class to manipulate hooks with Dancer

VERSION
version 1.3522

SYNOPSIS
  # inside a plugin
  use Dancer::Hook;
  Dancer::Hook->register_hooks_name(qw/before_auth after_auth/);

DESCRIPTION
Manipulate hooks with Dancer

METHODS

  register_hook ($hook_name, [$properties], $code)
    hook 'before', {apps => ['main']}, sub {...};

    hook 'before' => sub {...};

Attaches a hook at some point, with a possible list of properties.

Currently supported properties:

apps
        an array reference containing apps name

  register_hooks_name
Add a new hook name, so application developers can insert some code at this point.

    package My::Dancer::Plugin;
    Dancer::Hook->instance->register_hooks_name(qw/before_auth after_auth/);

  hook_is_registered
Test if a hook with this name has already been registered.

  execute_hooks
Execute a list of hooks for some position

  get_hooks_for
Returns the list of coderef registered for a given position

AUTHORS
This module has been written by Alexis Sukrieh and others.

LICENSE
This module is free software and is published under the same terms as Perl itself.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.